
jQuery.extend({
	

    createUploadIframe: function(id, uri)
	{
			//create frame
            var frameId = 'jUploadFrame' + id;
            var iframeHtml = '<iframe id="' + frameId + '" name="' + frameId + '" style="position:absolute; top:-9999px; left:-9999px"';
			if(window.ActiveXObject)
			{
                if(typeof uri== 'boolean'){
					iframeHtml += ' src="' + 'javascript:false' + '"';

                }
                else if(typeof uri== 'string'){
					iframeHtml += ' src="' + uri + '"';

                }	
			}
			iframeHtml += ' />';
			jQuery(iframeHtml).appendTo(document.body);

            return jQuery('#' + frameId).get(0);			
    },
    createUploadForm: function(id, fileElementId, data)
	{
		//create form	
		var formId = 'jUploadForm' + id;
		var fileId = 'jUploadFile' + id;
		var form = jQuery('<form  action="" method="POST" name="' + formId + '" id="' + formId + '" enctype="multipart/form-data"></form>');	
		if(data)
		{
			for(var i in data)
			{
				jQuery('<input type="hidden" name="' + i + '" value="' + data[i] + '" />').appendTo(form);
			}			
		}		
		//var oldElement = jQuery('#' + fileElementId);
		//var newElement = jQuery(oldElement).clone();
		//jQuery(oldElement).attr('id', fileId);
		//jQuery(oldElement).before(newElement);
		//jQuery(oldElement).appendTo(form);

		if(typeof(fileElementId) == 'string'){
			fileElementId = [fileElementId];
			}
			for(var i in fileElementId){
			var oldElement = jQuery('#' + fileElementId[i]);
			var newElement = jQuery(oldElement).clone();
			jQuery(oldElement).attr('id', fileId);
			jQuery(oldElement).before(newElement);
			jQuery(oldElement).appendTo(form);
			}
		
		//set attributes
		jQuery(form).css('position', 'absolute');
		jQuery(form).css('top', '-1200px');
		jQuery(form).css('left', '-1200px');
		jQuery(form).appendTo('body');		
		return form;
    },

    ajaxFileUpload: function(s) {
        // TODO introduce global settings, allowing the client to modify them for all requests, not only timeout		
        s = jQuery.extend({}, jQuery.ajaxSettings, s);
        var id = new Date().getTime()        
		var form = jQuery.createUploadForm(id, s.fileElementId, (typeof(s.data)=='undefined'?false:s.data));
		var io = jQuery.createUploadIframe(id, s.secureuri);
		var frameId = 'jUploadFrame' + id;
		var formId = 'jUploadForm' + id;		
        // Watch for a new set of requests
        if ( s.global && ! jQuery.active++ )
		{
			jQuery.event.trigger( "ajaxStart" );
		}            
        var requestDone = false;
        // Create the request object
        var xml = {}   
        if ( s.global )
            jQuery.event.trigger("ajaxSend", [xml, s]);
        // Wait for a response to come back
        var uploadCallback = function(isTimeout)
		{			
			var io = document.getElementById(frameId);
            try 
			{				
				if(io.contentWindow)
				{
					 xml.responseText = io.contentWindow.document.body?io.contentWindow.document.body.innerHTML:null;
                	 xml.responseXML = io.contentWindow.document.XMLDocument?io.contentWindow.document.XMLDocument:io.contentWindow.document;
					 
				}else if(io.contentDocument)
				{
					 xml.responseText = io.contentDocument.document.body?io.contentDocument.document.body.innerHTML:null;
                	xml.responseXML = io.contentDocument.document.XMLDocument?io.contentDocument.document.XMLDocument:io.contentDocument.document;
				}						
            }catch(e)
			{
				jQuery.handleError(s, xml, null, e);
			}
            if ( xml || isTimeout == "timeout") 
			{				
                requestDone = true;
                var status;
                try {
                    status = isTimeout != "timeout" ? "success" : "error";
                    // Make sure that the request was successful or notmodified
                    if ( status != "error" )
					{
                        // process the data (runs the xml through httpData regardless of callback)
                        var data = jQuery.uploadHttpData( xml, s.dataType );    
                        // If a local callback was specified, fire it and pass it the data
                        if ( s.success )
                            s.success( data, status );
    
                        // Fire the global callback
                        if( s.global )
                            jQuery.event.trigger( "ajaxSuccess", [xml, s] );
                    } else
                        jQuery.handleError(s, xml, status);
                } catch(e) 
				{
                    status = "error";
                    jQuery.handleError(s, xml, status, e);
                }

                // The request was completed
                if( s.global )
                    jQuery.event.trigger( "ajaxComplete", [xml, s] );

                // Handle the global AJAX counter
                if ( s.global && ! --jQuery.active )
                    jQuery.event.trigger( "ajaxStop" );

                // Process result
                if ( s.complete )
                    s.complete(xml, status);

                jQuery(io).unbind()

                setTimeout(function()
									{	try 
										{
											jQuery(io).remove();
											jQuery(form).remove();	
											
										} catch(e) 
										{
											jQuery.handleError(s, xml, null, e);
										}									

									}, 100)

                xml = null

            }
        }
        // Timeout checker
        if ( s.timeout > 0 ) 
		{
            setTimeout(function(){
                // Check to see if the request is still happening
                if( !requestDone ) uploadCallback( "timeout" );
            }, s.timeout);
        }
        try 
		{

			var form = jQuery('#' + formId);
			jQuery(form).attr('action', s.url);
			jQuery(form).attr('method', 'POST');
			jQuery(form).attr('target', frameId);
            if(form.encoding)
			{
				jQuery(form).attr('encoding', 'multipart/form-data');      			
            }
            else
			{	
				jQuery(form).attr('enctype', 'multipart/form-data');			
            }			
            jQuery(form).submit();

        } catch(e) 
		{			
            jQuery.handleError(s, xml, null, e);
        }
		
		jQuery('#' + frameId).load(uploadCallback	);
        return {abort: function () {}};	

    },

    uploadHttpData: function( r, type ) {
        var data = !type;
        data = type == "xml" || data ? r.responseXML : r.responseText;
        // If the type is "script", eval it in global context
        if ( type == "script" )
            jQuery.globalEval( data );
        // Get the JavaScript object, if JSON is used.
        if ( type == "json" ) {
        	data = r.responseText;  
            var start = data.indexOf(">");  
            if(start != -1) {  
                var end = data.indexOf("<", start + 1);  
                if(end != -1) {  
                    data = data.substring(start + 1, end);  
                }  
            }
            eval("data = "+data);
           //eval( "data = " + data );
        }
            //eval( "data = " + data );
        // evaluate scripts within html
        if ( type == "html" )
            jQuery("<div>").html(data).evalScripts();

        return data;
    },
    handleError:function( s, xhr, status, e ) {  
        if ( s.error ) {  
            s.error.call( s.context || window, xhr, status, e );  
        }  
        if ( s.global ) {  
            (s.context ? jQuery(s.context) : jQuery.event).trigger( "ajaxError", [xhr, s, e] );  
        }  
    }
})
function pdf2FileChange(id){
	var maxsize = 10*1024*1024;//2M  
    var errMsg = "上传的附件文件不能超过10M！！！";  
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过10M，建议使用IE、FireFox、Chrome浏览器。";  
    var  browserCfg = {};  
    var ua = window.navigator.userAgent;  
    if (isIE()){  
        browserCfg.ie = true;  
    }else if(ua.indexOf("Firefox")>=1){  
        browserCfg.firefox = true;  
    }else if(ua.indexOf("Chrome")>=1){  
        browserCfg.chrome = true;  
    }  
	var obj_file = document.getElementById(id);  
    if(obj_file.value==""){  
       // alert("请先选择上传文件");  
        swal("失败！","请先选择上传文件", "error");
        return false;  
    }  
    var photoExt=obj_file.value.substr(obj_file.value.lastIndexOf(".")).toLowerCase();//获得文件后缀名
    if(photoExt!='.pdf'  &&photoExt!='.jpg' ){
        //alert("请上传后缀名为pdf、doc、docx、ppt、pptx、xlsx、xls的文件!");
        swal("失败！","请上传后缀名为pdf、jpg的文件!", "error");
        return false;  
    }
    var filesize = 0;  
    if(browserCfg.firefox || browserCfg.chrome ){  
        filesize = obj_file.files[0].size;  
    }else if(browserCfg.ie){  
        var obj_img = document.getElementById(id);  
        obj_img.dynsrc=obj_file.value;  
        filesize = obj_img.fileSize;  
    }else{  
        //alert(tipMsg); 
        swal("失败！",tipMsg, "error");
        
    }  
    if(filesize==-1){  
       // alert(tipMsg);  
        swal("失败！",tipMsg, "error");
        return false; 
    }else if(filesize>maxsize){  
        //alert(errMsg);  
        swal("失败！",errMsg, "error");
        return false;  
    }else{   
        return true;  
    }  
}
function pdfFileChange(id){
	var maxsize = 10*1024*1024;//2M  
    var errMsg = "上传的附件文件不能超过10M！！！";  
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过10M，建议使用IE、FireFox、Chrome浏览器。";  
    var  browserCfg = {};  
    var ua = window.navigator.userAgent;  
    if (isIE()){  
        browserCfg.ie = true;  
    }else if(ua.indexOf("Firefox")>=1){  
        browserCfg.firefox = true;  
    }else if(ua.indexOf("Chrome")>=1){  
        browserCfg.chrome = true;  
    }  
	var obj_file = document.getElementById(id);  
    if(obj_file.value==""){  
       // alert("请先选择上传文件");  
        swal("失败！","请先选择上传文件", "error");
        return false;  
    }  
    var photoExt=obj_file.value.substr(obj_file.value.lastIndexOf(".")).toLowerCase();//获得文件后缀名
    if(photoExt!='.pdf'  && photoExt!='.doc'  && photoExt!='.docx'  && photoExt!='.ppt'  && photoExt!='.pptx'  && photoExt!='.xlsx'  && photoExt!='.xls' &&  photoExt!='.jpeg' && photoExt!='.jpg' && photoExt!='.gif' && photoExt!='.png' && photoExt!='.JPG' && photoExt!='.PNG' && photoExt!='.GIF'){
        //alert("请上传后缀名为pdf、doc、docx、ppt、pptx、xlsx、xls的文件!");
        swal("失败！","请上传后缀名为pdf、doc、docx、ppt、pptx、xlsx、xls、jpeg、jpg、gif、png的文件!", "error");
        return false;  
    }
    var filesize = 0;  
    if(browserCfg.firefox || browserCfg.chrome ){  
        filesize = obj_file.files[0].size;  
    }else if(browserCfg.ie){  
        var obj_img = document.getElementById(id);  
        obj_img.dynsrc=obj_file.value;  
        filesize = obj_img.fileSize;  
    }else{  
        //alert(tipMsg); 
        swal("失败！",tipMsg, "error");
        return false; 
    }  
    if(filesize==-1){  
       // alert(tipMsg);  
        swal("失败！",tipMsg, "error");
        return false; 
    }else if(filesize>maxsize){  
        //alert(errMsg);  
        swal("失败！",errMsg, "error");
        return false;  
    }else{   
        return true;  
    }  
}
function imgFileChange(id){
	var maxsize = 1*1024*1024;//2M  
    var errMsg = "上传的附件文件不能超过1M！！！";  
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过1M，建议使用IE、FireFox、Chrome浏览器。";  
    var  browserCfg = {};  
    var ua = window.navigator.userAgent;  
    if (isIE()){   
        browserCfg.ie = true;  
    }else if(ua.indexOf("Firefox")>=1){  
        browserCfg.firefox = true;  
    }else if(ua.indexOf("Chrome")>=1){  
        browserCfg.chrome = true;  
    }  
	var obj_file = document.getElementById(id);  
    if(obj_file.value==""){  
        //alert("请先选择上传文件"); 
        swal("失败！","请先选择上传文件", "error");
        return false;  
    }  
    var photoExt=obj_file.value.substr(obj_file.value.lastIndexOf(".")).toLowerCase();//获得文件后缀名
    if(photoExt!='.jpeg' && photoExt!='.jpg' && photoExt!='.gif' && photoExt!='.png' && photoExt!='.JPG' && photoExt!='.PNG' && photoExt!='.GIF'){
        //alert("请上传后缀名为jpeg、jpg、gif、png的文件!");
        swal("失败！","请上传后缀名为jpeg、jpg、gif、png的文件!", "error");
        return false;  
    }
    var filesize = 0;  
    if(browserCfg.firefox || browserCfg.chrome ){  
        filesize = obj_file.files[0].size;  
    }else if(browserCfg.ie){  
        var obj_img = document.getElementById(id);  
        obj_img.dynsrc=obj_file.value;  
        filesize = obj_img.fileSize;  
    }else{  
       // alert(tipMsg);  
        swal("失败！",tipMsg, "error");
        return false; 
    }  
    if(filesize==-1){  
      //  alert(tipMsg);  
        swal("失败！",tipMsg, "error");
        return false; 
    }else if(filesize>maxsize){  
       // alert(errMsg);  
        swal("失败！",errMsg, "error");
        return false;  
    }else{   
        return true;  
    }  
}
/**
 * 文件是否选择验证
 * @param target
 * @returns
 */
function fileChangeNo(id) {

	var maxsize = 10*1024*1024;//2M  
    var errMsg = "上传的附件文件不能超过10M！！！";  
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过10M，建议使用IE、FireFox、Chrome浏览器。";  
    var  browserCfg = {};  
    var ua = window.navigator.userAgent;  
    if (isIE()){  
        browserCfg.ie = true;  
    }else if(ua.indexOf("Firefox")>=1){  
        browserCfg.firefox = true;  
    }else if(ua.indexOf("Chrome")>=1){  
        browserCfg.chrome = true;  
    }  
	var obj_file = document.getElementById(id);  
	if(obj_file.value==""){  
		 /*swal("失败！","请先选择上传文件", "error");*/
        return false;  
    }
    return true;  
 
}

function option15validate(id){
    var maxsize = 30*1024*1024;
    var errMsg = "上传的附件文件不能超过30M！！！";
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过30M，建议使用IE、FireFox、Chrome浏览器。";
    var  browserCfg = {};
    var ua = window.navigator.userAgent;
    if (isIE()){
        browserCfg.ie = true;
    }else if(ua.indexOf("Firefox")>=1){
        browserCfg.firefox = true;
    }else if(ua.indexOf("Chrome")>=1){
        browserCfg.chrome = true;
    }
    var obj_file = document.getElementById(id);
    if(obj_file.value==""){
        // alert("请先选择上传文件");
        swal("失败！","请先选择上传文件", "error");
        return false;
    }
    var photoExt=obj_file.value.substr(obj_file.value.lastIndexOf(".")).toLowerCase();//获得文件后缀名
    if(photoExt!='.jpg' && photoExt!='.gif' && photoExt!='.png' && photoExt!='.JPG' && photoExt!='.PNG' && photoExt!='.GIF' && photoExt!='.bmp' && photoExt!='.doc' && photoExt!='.docx' && photoExt!='.pdf' && photoExt!='.xls' && photoExt!='.xlsx' && photoExt!='.ppt' && photoExt!='.pptx' && photoExt!='.txt' && photoExt!='.sav' && photoExt!='.caj'){
        swal("失败！","请上传后缀名为.png、 .jpg、 .gif、 .bmp、 .doc、 .docx、 .pdf、 .xls、 .xlsx、 .ppt、 .pptx、 .txt、 .sav、 .caj的文件!", "error");
        return false;
    }
    var filesize = 0;
    if(browserCfg.firefox || browserCfg.chrome ){
        filesize = obj_file.files[0].size;
    }else if(browserCfg.ie){
        var obj_img = document.getElementById(id);
        obj_img.dynsrc=obj_file.value;
        filesize = obj_img.fileSize;
    }else{
        //alert(tipMsg);
        swal("失败！",tipMsg, "error");
        return false;
    }
    if(filesize==-1){
        // alert(tipMsg);
        swal("失败！",tipMsg, "error");
        return false;
    }else if(filesize>maxsize){
        //alert(errMsg);
        swal("失败！",errMsg, "error");
        return false;
    }else{
        return true;
    }
}

function option61validate(id){
    var maxsize = 30*1024*1024;
    var errMsg = "上传的附件文件不能超过30M！！！";
    var tipMsg = "您的浏览器暂不支持计算上传文件的大小，确保上传文件不要超过30M，建议使用IE、FireFox、Chrome浏览器。";
    var  browserCfg = {};
    var ua = window.navigator.userAgent;
    if (isIE()){
        browserCfg.ie = true;
    }else if(ua.indexOf("Firefox")>=1){
        browserCfg.firefox = true;
    }else if(ua.indexOf("Chrome")>=1){
        browserCfg.chrome = true;
    }
    var obj_file = document.getElementById(id);
    if(obj_file.value==""){
        // alert("请先选择上传文件");
        swal("失败！","请先选择上传文件", "error");
        return false;
    }
    var photoExt=obj_file.value.substr(obj_file.value.lastIndexOf(".")).toLowerCase();//获得文件后缀名
    if(photoExt!='.jpg' && photoExt!='.gif' && photoExt!='.JPG' && photoExt!='.GIF' && photoExt!='.pdf'){
        swal("失败！","请上传后缀名为.jpg、 .gif、 .pdf的文件!", "error");
        return false;
    }
    var filesize = 0;
    if(browserCfg.firefox || browserCfg.chrome ){
        filesize = obj_file.files[0].size;
    }else if(browserCfg.ie){
        var obj_img = document.getElementById(id);
        obj_img.dynsrc=obj_file.value;
        filesize = obj_img.fileSize;
    }else{
        //alert(tipMsg);
        swal("失败！",tipMsg, "error");
        return false;
    }
    if(filesize==-1){
        // alert(tipMsg);
        swal("失败！",tipMsg, "error");
        return false;
    }else if(filesize>maxsize){
        //alert(errMsg);
        swal("失败！",errMsg, "error");
        return false;
    }else{
        return true;
    }
}

function isIE() { //ie?
	 if (!!window.ActiveXObject || "ActiveXObject" in window)
	  return true;
	  else
	  return false;
	 }
